[support] Siwat's Docker Repository


Recommended Posts

1 hour ago, TechBLT said:

Hello, I can't seem to get Homebridge GUI to load either in host mode or using bridged mode. I must be missing some parameters to get it to work. I can' get get the web gui to load. I have a gui version running on a Synology NAS and I want to move the role over to my unraid NAS so I can get rid of the Synology. What am I missing?

Set it to host mode and send me the container log

Link to comment
11 hours ago, Siwat2545 said:

Set it to host mode and send me the container log

ErrorWarningSystemArrayLogin


Get:1 https://deb.nodesource.com/node_12.x bionic InRelease [4584 B]
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease
Get:3 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Get:4 https://deb.nodesource.com/node_12.x bionic/main amd64 Packages [762 B]

 

Edited by TechBLT
Link to comment
11 hours ago, Siwat2545 said:

Set it to host mode and send me the container log

I made some progress. I realized I had turned on the Homebridge docker instance on the Synology NAS and when I stopped it, I got the docker webui to load on the homebridge instance on Unraid. I got into it and saw a plugin was out of date which was the config-ui-x and I told it to update but it never came back. I could no longer get the webui to load. I destroyed the container and image and deleted the /mnt/user/homebridge folder and installed a new container using host networking but made no other changes. I cannot get the web interface to come up at all. What am I missing? Is there some other configuration I need to add to the container to get it to come up when it's first created?

 

Here is what the log shows now:

2.1.0-3 [4376 B]

 

Get:159 http://archive.ubuntu.com/ubuntu bionic/main amd64 vdpau-driver-all amd64 1.1.1-3ubuntu1 [4674 B]

 

debconf: unable to initialize frontend: Dialog

debconf: (TERM is not set, so the dialog frontend is not usable.)

debconf: falling back to frontend: Readline

debconf: unable to initialize frontend: Readline

debconf: (This frontend requires a controlling tty.)

debconf: falling back to frontend: Teletype

dpkg-preconfigure: unable to re-open stdin:

Fetched 63.2 MB in 1min 48s (587 kB/s)

Selecting previously unselected package libpng16-16:amd64.

Preparing to unpack .../000-libpng16-16_1.6.34-1ubuntu0.18.04.2_amd64.deb ...

Unpacking libpng16-16:amd64 (1.6.34-1ubuntu0.18.04.2) ...

Selecting previously unselected package libfreetype6:amd64.

Link to comment

I had quite a bit of trouble getting OnlyOfficeDocumentServer to work with nextcloud and letsencrypt. So I had letsencrypt install for plex etc and got it working with nextcloud. The confusing part of getting OnlyOfficeDocumentServer  to work with letsencrypt is that you need to create self-signed ssl certificates for the docker container itself, and then have letsencrypt create certificates for your public address. So a short overview of the steps I took. I left the ports of the container default as I wanted to eliminate potential problems. 

 

1. Install the OnlyOfficeDocumentServer container. Leave everything as default (the name can contain capitals for the setup I have, network is bridge). 

2. Add your subdomain to the letsencrypt container, and add the file onlyofficedocumentserver.subdomain.conf with the content below in the folder /appdata/letsencrypt/nginx/proxy-confs/. Please change the server_name to [YOUR SUBDOMAIN].*; and proxy_pass to https://[YOUR UNRAID SERVER IP]:4430/. Also, the formatting of the first, second and forth line seems to be off in this field and the extra tab/spaces should be there. 

server {
    listen 443 ssl;
	
    server_name oods.*;

    include /config/nginx/ssl.conf;

    client_max_body_size 0;


    location / {
		include /config/nginx/proxy.conf;
		resolver 127.0.0.11 valid=30s;
        set $upstream_oods onlyofficedocumentserver;
		proxy_pass https://192.168.178.65:4430/;
        proxy_redirect off;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Host $server_name;
        proxy_set_header X-Forwarded-Proto $scheme;
    }
}

3. Restart letsencrypt container to get a certificate for your new subdomain. 

4. Check that OnlyOfficeDocumentServer is accessible via http://[YOUR UNRAID IP]:8080 (note this is HTTP and not HTTPS yet).

5. Create the certs folder and certificates for OnlyOfficeDocumentServer using the following command in an unraid terminal (I used the unraid web terminal). Note that the second openssl command will request various data to be filled in and that this certificate will be valid for 365 days.

cd /mnt/user/appdata/onlyofficeds/Data

mkdir certs

cd certs

openssl genrsa -out onlyoffice.key 2048

openssl req -new -key onlyoffice.key -out onlyoffice.csr

openssl x509 -req -days 365 -in onlyoffice.csr -signkey onlyoffice.key -out onlyoffice.crt

5. Check that OnlyOfficeDocumentServer is now accessible via https://[YOUR UNRAID IP]:4430. You will get an warning that the server has a self signed certificate. At this point the http address of OnlyOfficeDocumentServer was not accessible anymore for me. 

6. Check that OnlyOfficeDocumentServer is now accessible through letsencrypt and your subdomain.domain.com (for me oods.xxxxxxx.com). When looking at the certificate of my domain, it seems all certificates are verified by letsencrypt and I saw no remnant of the self-signed certificates (with plex I do see some warnings about certificate redirects or something when looking at the developer tools of chrome, but this causes no issue and clicking the lock icon shows it to be fine). 

7. Go to your nextcloud, install the onlyoffice plugin. 

8. Go to settings, then OnlyOffice and fill in https://[subdomain].[domain].com and everything should now all be working. 

I hope this helps some others that have been struggling with this and find the need for self-signed and letsencrypt certificates confusing. When I tried to use the letsencrypt certificates in the /Data/certs folder I got an error in the OnlyOfficeDocumentServer container log that nginx failed to start. I did, however, only create the onlyoffice.crt and onlyoffice.key from my letsencrypt fullchain.pem and privkey.pem and did not create the onlyoffice.csr. Also, if there is a way to get the letsencrypt certificates working I would be very interested to know how to do this. 

 

For a next step I would like to implement the secret that can be filled in within nextcloud, however, I have not fully looked into doing this with these docker containers yet. 

  • Thanks 3
Link to comment

Here is the log.

 

ErrorWarningSystemArrayLogin


Unpacking libpciaccess0:amd64 (0.14-1) ...
Selecting previously unselected package libdrm-intel1:amd64.
Preparing to unpack .../113-libdrm-intel1_2.4.97-1ubuntu1~18.04.1_amd64.deb ...
Unpacking libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Selecting previously unselected package libdrm-nouveau2:amd64.
Preparing to unpack .../114-libdrm-nouveau2_2.4.97-1ubuntu1~18.04.1_amd64.deb ...
Unpacking libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Selecting previously unselected package libdrm-radeon1:amd64.
Preparing to unpack .../115-libdrm-radeon1_2.4.97-1ubuntu1~18.04.1_amd64.deb ...
Unpacking libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Selecting previously unselected package libllvm8:amd64.
Preparing to unpack .../116-libllvm8_1%3a8-3~ubuntu18.04.1_amd64.deb ...
Unpacking libllvm8:amd64 (1:8-3~ubuntu18.04.1) ...
Selecting previously unselected package libsensors4:amd64.
Preparing to unpack .../117-libsensors4_1%3a3.4.0-4_amd64.deb ...
Unpacking libsensors4:amd64 (1:3.4.0-4) ...
Selecting previously unselected package libgl1-mesa-dri:amd64.
Preparing to unpack .../118-libgl1-mesa-dri_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libgl1-mesa-dri:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libglx-mesa0:amd64.
Preparing to unpack .../119-libglx-mesa0_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libglx-mesa0:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libglx0:amd64.
Preparing to unpack .../120-libglx0_1.0.0-2ubuntu2.3_amd64.deb ...
Unpacking libglx0:amd64 (1.0.0-2ubuntu2.3) ...
Selecting previously unselected package libgl1:amd64.
Preparing to unpack .../121-libgl1_1.0.0-2ubuntu2.3_amd64.deb ...
Unpacking libgl1:amd64 (1.0.0-2ubuntu2.3) ...
Selecting previously unselected package libiec61883-0:amd64.
Preparing to unpack .../122-libiec61883-0_1.2.0-2_amd64.deb ...
Unpacking libiec61883-0:amd64 (1.2.0-2) ...
Selecting previously unselected package libjack-jackd2-0:amd64.
Preparing to unpack .../123-libjack-jackd2-0_1.9.12~dfsg-2_amd64.deb ...
Unpacking libjack-jackd2-0:amd64 (1.9.12~dfsg-2) ...
Selecting previously unselected package libopenal-data.
Preparing to unpack .../124-libopenal-data_1%3a1.18.2-2_all.deb ...
Unpacking libopenal-data (1:1.18.2-2) ...
Selecting previously unselected package libsndio6.1:amd64.
Preparing to unpack .../125-libsndio6.1_1.1.0-3_amd64.deb ...
Unpacking libsndio6.1:amd64 (1.1.0-3) ...
Selecting previously unselected package libopenal1:amd64.
Preparing to unpack .../126-libopenal1_1%3a1.18.2-2_amd64.deb ...
Unpacking libopenal1:amd64 (1:1.18.2-2) ...
Selecting previously unselected package libasyncns0:amd64.
Preparing to unpack .../127-libasyncns0_0.8-6_amd64.deb ...
Unpacking libasyncns0:amd64 (0.8-6) ...
Selecting previously unselected package libflac8:amd64.
Preparing to unpack .../128-libflac8_1.3.2-1_amd64.deb ...
Unpacking libflac8:amd64 (1.3.2-1) ...
Selecting previously unselected package libsndfile1:amd64.
Preparing to unpack .../129-libsndfile1_1.0.28-4ubuntu0.18.04.1_amd64.deb ...
Unpacking libsndfile1:amd64 (1.0.28-4ubuntu0.18.04.1) ...
Selecting previously unselected package libwrap0:amd64.
Preparing to unpack .../130-libwrap0_7.6.q-27_amd64.deb ...
Unpacking libwrap0:amd64 (7.6.q-27) ...
Selecting previously unselected package libpulse0:amd64.
Preparing to unpack .../131-libpulse0_1%3a11.1-1ubuntu7.2_amd64.deb ...
Unpacking libpulse0:amd64 (1:11.1-1ubuntu7.2) ...
Selecting previously unselected package libwayland-client0:amd64.
Preparing to unpack .../132-libwayland-client0_1.16.0-1ubuntu1.1~18.04.1_amd64.deb ...
Unpacking libwayland-client0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Selecting previously unselected package libwayland-cursor0:amd64.
Preparing to unpack .../133-libwayland-cursor0_1.16.0-1ubuntu1.1~18.04.1_amd64.deb ...
Unpacking libwayland-cursor0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Selecting previously unselected package libwayland-server0:amd64.
Preparing to unpack .../134-libwayland-server0_1.16.0-1ubuntu1.1~18.04.1_amd64.deb ...
Unpacking libwayland-server0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Selecting previously unselected package libgbm1:amd64.
Preparing to unpack .../135-libgbm1_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libgbm1:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libxcb-xfixes0:amd64.
Preparing to unpack .../136-libxcb-xfixes0_1.13-2~ubuntu18.04_amd64.deb ...
Unpacking libxcb-xfixes0:amd64 (1.13-2~ubuntu18.04) ...
Selecting previously unselected package libegl-mesa0:amd64.
Preparing to unpack .../137-libegl-mesa0_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libegl-mesa0:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libegl1:amd64.
Preparing to unpack .../138-libegl1_1.0.0-2ubuntu2.3_amd64.deb ...
Unpacking libegl1:amd64 (1.0.0-2ubuntu2.3) ...
Selecting previously unselected package libwayland-egl1:amd64.
Preparing to unpack .../139-libwayland-egl1_1.16.0-1ubuntu1.1~18.04.1_amd64.deb ...
Unpacking libwayland-egl1:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Selecting previously unselected package libwayland-egl1-mesa:amd64.
Preparing to unpack .../140-libwayland-egl1-mesa_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libwayland-egl1-mesa:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libxcursor1:amd64.
Preparing to unpack .../141-libxcursor1_1%3a1.1.15-1_amd64.deb ...
Unpacking libxcursor1:amd64 (1:1.1.15-1) ...
Selecting previously unselected package libxi6:amd64.
Preparing to unpack .../142-libxi6_2%3a1.7.9-1_amd64.deb ...
Unpacking libxi6:amd64 (2:1.7.9-1) ...
Selecting previously unselected package libxkbcommon0:amd64.
Preparing to unpack .../143-libxkbcommon0_0.8.0-1ubuntu0.1_amd64.deb ...
Unpacking libxkbcommon0:amd64 (0.8.0-1ubuntu0.1) ...
Selecting previously unselected package libxrandr2:amd64.
Preparing to unpack .../144-libxrandr2_2%3a1.5.1-1_amd64.deb ...
Unpacking libxrandr2:amd64 (2:1.5.1-1) ...
Selecting previously unselected package libsdl2-2.0-0:amd64.
Preparing to unpack .../145-libsdl2-2.0-0_2.0.8+dfsg1-1ubuntu1.18.04.4_amd64.deb ...
Unpacking libsdl2-2.0-0:amd64 (2.0.8+dfsg1-1ubuntu1.18.04.4) ...
Selecting previously unselected package libxcb-shape0:amd64.
Preparing to unpack .../146-libxcb-shape0_1.13-2~ubuntu18.04_amd64.deb ...
Unpacking libxcb-shape0:amd64 (1.13-2~ubuntu18.04) ...
Selecting previously unselected package libxv1:amd64.
Preparing to unpack .../147-libxv1_2%3a1.0.11-1_amd64.deb ...
Unpacking libxv1:amd64 (2:1.0.11-1) ...
Selecting previously unselected package libavdevice57:amd64.
Preparing to unpack .../148-libavdevice57_7%3a3.4.6-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libavdevice57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Selecting previously unselected package ffmpeg.
Preparing to unpack .../149-ffmpeg_7%3a3.4.6-0ubuntu0.18.04.1_amd64.deb ...
Unpacking ffmpeg (7:3.4.6-0ubuntu0.18.04.1) ...
Selecting previously unselected package libaacs0:amd64.
Preparing to unpack .../150-libaacs0_0.9.0-1_amd64.deb ...
Unpacking libaacs0:amd64 (0.9.0-1) ...
Selecting previously unselected package libbdplus0:amd64.
Preparing to unpack .../151-libbdplus0_0.1.2-2_amd64.deb ...
Unpacking libbdplus0:amd64 (0.1.2-2) ...
Selecting previously unselected package libgdk-pixbuf2.0-bin.
Preparing to unpack .../152-libgdk-pixbuf2.0-bin_2.36.11-2_amd64.deb ...
Unpacking libgdk-pixbuf2.0-bin (2.36.11-2) ...
Selecting previously unselected package librsvg2-common:amd64.
Preparing to unpack .../153-librsvg2-common_2.40.20-2_amd64.deb ...
Unpacking librsvg2-common:amd64 (2.40.20-2) ...
Selecting previously unselected package mesa-va-drivers:amd64.
Preparing to unpack .../154-mesa-va-drivers_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking mesa-va-drivers:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package mesa-vdpau-drivers:amd64.
Preparing to unpack .../155-mesa-vdpau-drivers_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking mesa-vdpau-drivers:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package i965-va-driver:amd64.
Preparing to unpack .../156-i965-va-driver_2.1.0-0ubuntu1_amd64.deb ...
Unpacking i965-va-driver:amd64 (2.1.0-0ubuntu1) ...
Selecting previously unselected package va-driver-all:amd64.
Preparing to unpack .../157-va-driver-all_2.1.0-3_amd64.deb ...
Unpacking va-driver-all:amd64 (2.1.0-3) ...
Selecting previously unselected package vdpau-driver-all:amd64.
Preparing to unpack .../158-vdpau-driver-all_1.1.1-3ubuntu1_amd64.deb ...
Unpacking vdpau-driver-all:amd64 (1.1.1-3ubuntu1) ...
Setting up libxi6:amd64 (2:1.7.9-1) ...
Setting up libpgm-5.2-0:amd64 (5.2.122~dfsg-2) ...
Setting up libxcb-present0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libglvnd0:amd64 (1.0.0-2ubuntu2.3) ...
Setting up libxinerama1:amd64 (2:1.1.3-1) ...
Setting up libxcb-dri2-0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libxcb-dri3-0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libxcb-glx0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libtwolame0:amd64 (0.3.13-3) ...
Setting up libraw1394-11:amd64 (2.1.2-1) ...
Setting up libx264-152:amd64 (2:0.152.2854+gite9a5903-2) ...
Setting up libxcb-xfixes0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libxcb-render0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libopenjp2-7:amd64 (2.3.0-2build0.18.04.1) ...
Setting up libasyncns0:amd64 (0.8-6) ...
Setting up libllvm8:amd64 (1:8-3~ubuntu18.04.1) ...
Setting up libxdamage1:amd64 (1:1.1.4-3) ...
Setting up libxfixes3:amd64 (1:5.0.3-1) ...
Setting up libpng16-16:amd64 (1.6.34-1ubuntu0.18.04.2) ...
Setting up libwavpack1:amd64 (5.1.0-2ubuntu1.4) ...
Setting up libjbig0:amd64 (2.1-3.1build1) ...
Setting up fonts-dejavu-core (2.37-1) ...
Setting up libaacs0:amd64 (0.9.0-1) ...
Setting up libnuma1:amd64 (2.0.11-2.1ubuntu0.1) ...
Setting up libelf1:amd64 (0.170-0.4ubuntu0.1) ...
Setting up libsoxr0:amd64 (0.1.2-3) ...
Setting up libssh-gcrypt-4:amd64 (0.8.0~20170825.94fa1e38-1ubuntu0.2) ...
Setting up libasound2-data (1.1.3-5ubuntu0.2) ...
Setting up libxshmfence1:amd64 (1.3-1) ...
Setting up libwayland-client0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up xkb-data (2.23.1-1ubuntu1.18.04.1) ...
Setting up libvdpau1:amd64 (1.1.1-3ubuntu1) ...
Setting up libgdk-pixbuf2.0-common (2.36.11-2) ...
Setting up libdatrie1:amd64 (0.2.10-7) ...
Setting up libshine3:amd64 (3.1.1-1) ...
Setting up libva2:amd64 (2.1.0-3) ...
Setting up libjpeg-turbo8:amd64 (1.5.2-0ubuntu5.18.04.1) ...
Setting up libiec61883-0:amd64 (1.2.0-2) ...
Setting up libglapi-mesa:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libspeex1:amd64 (1.2~rc1.2-1ubuntu2) ...
Setting up libfftw3-double3:amd64 (3.3.7-1) ...
Setting up libxvidcore4:amd64 (2:1.3.5-1) ...
Setting up libopus0:amd64 (1.1.2-1ubuntu1) ...
Setting up libfreetype6:amd64 (2.8.1-2ubuntu2) ...
Setting up libx265-146:amd64 (2.6-3) ...
Setting up libasound2:amd64 (1.1.3-5ubuntu0.2) ...
Setting up libopenal-data (1:1.18.2-2) ...
Setting up libdrm-common (2.4.97-1ubuntu1~18.04.1) ...
Setting up libgraphite2-3:amd64 (1.3.11-2) ...
Setting up libbs2b0:amd64 (3.1.0+dfsg-2.2) ...
Setting up libcroco3:amd64 (0.6.12-2) ...
Setting up libxcb-sync1:amd64 (1.13-2~ubuntu18.04) ...
Setting up libnorm1:amd64 (1.5r6+dfsg1-6) ...
Setting up libogg0:amd64 (1.3.2-1) ...
Setting up libsodium23:amd64 (1.0.16-2) ...
Setting up libx11-xcb1:amd64 (2:1.6.4-3ubuntu0.2) ...
Setting up libpixman-1-0:amd64 (0.34.0-2) ...
Setting up libmp3lame0:amd64 (3.100-2) ...
Setting up libusb-1.0-0:amd64 (2:1.0.21-2) ...
Setting up libcrystalhd3:amd64 (1:0.0~git20110715.fdd2f19-12) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libsnappy1v5:amd64 (1.1.7-1) ...
Setting up libavc1394-0:amd64 (0.5.4-4build1) ...
Setting up libzvbi-common (0.2.35-13) ...
Setting up libfribidi0:amd64 (0.19.7-2) ...
Setting up libxcb-shm0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libxcb-shape0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libpciaccess0:amd64 (0.14-1) ...
Setting up libxrender1:amd64 (1:0.9.10-1) ...
Setting up libxv1:amd64 (2:1.0.11-1) ...
Setting up libsensors4:amd64 (1:3.4.0-4) ...
Setting up libxkbcommon0:amd64 (0.8.0-1ubuntu0.1) ...
Setting up libvpx5:amd64 (1.7.0-3) ...
Setting up libgme0:amd64 (0.6.2-1) ...
Setting up libthai-data (0.1.27-2) ...
Setting up libbdplus0:amd64 (0.1.2-2) ...
Setting up libxxf86vm1:amd64 (1:1.1.4-1) ...
Setting up libzvbi0:amd64 (0.2.35-13) ...
Setting up libcaca0:amd64 (0.99.beta19-2ubuntu0.18.04.1) ...
Setting up libsamplerate0:amd64 (0.1.9-1) ...
Setting up libsndio6.1:amd64 (1.1.0-3) ...
Setting up libvorbis0a:amd64 (1.3.5-4.2) ...
Setting up x11-common (1:7.7+19ubuntu7.1) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of start.
Setting up libmpg123-0:amd64 (1.25.10-1) ...
Setting up libwayland-cursor0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up libgsm1:amd64 (1.0.13-4build1) ...
Setting up libmysofa0:amd64 (0.6~dfsg0-2ubuntu0.18.04.1) ...
Setting up libwayland-egl1:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up libcdio17:amd64 (1.0.0-2ubuntu2) ...
Setting up libxrandr2:amd64 (2:1.5.1-1) ...
Setting up libwrap0:amd64 (7.6.q-27) ...
Setting up libwayland-server0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up libwebp6:amd64 (0.6.1-2) ...
Setting up libjpeg8:amd64 (8c-2ubuntu8) ...
Setting up libvorbisfile3:amd64 (1.3.5-4.2) ...
Setting up fontconfig-config (2.12.6-0ubuntu2) ...
Setting up libzmq5:amd64 (4.2.5-1ubuntu0.2) ...
Setting up libopenmpt0:amd64 (0.3.6-1) ...
Setting up libflite1:amd64 (2.1-release-1) ...
Setting up libxss1:amd64 (1:1.2.2-1) ...
Setting up libflac8:amd64 (1.3.2-1) ...
Setting up libharfbuzz0b:amd64 (1.7.2-1ubuntu1) ...
Setting up libdc1394-22:amd64 (2.2.5-1) ...
Setting up libcdio-cdda2:amd64 (10.2+0.94+2-2build1) ...
Setting up libtiff5:amd64 (4.0.9-5ubuntu0.2) ...
Setting up libthai0:amd64 (0.1.27-2) ...
Setting up libdrm2:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up libxcursor1:amd64 (1:1.1.15-1) ...
Setting up librubberband2:amd64 (1.8.1-7ubuntu2) ...
Setting up libwebpmux3:amd64 (0.6.1-2) ...
Setting up libcdio-paranoia2:amd64 (10.2+0.94+2-2build1) ...
Setting up libva-drm2:amd64 (2.1.0-3) ...
Setting up libjack-jackd2-0:amd64 (1.9.12~dfsg-2) ...
Setting up libopenal1:amd64 (1:1.18.2-2) ...
Setting up libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up libvorbisenc2:amd64 (1.3.5-4.2) ...
Setting up libva-x11-2:amd64 (2.1.0-3) ...
Setting up libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up libfontconfig1:amd64 (2.12.6-0ubuntu2) ...
Setting up libavutil55:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libdrm-amdgpu1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up mesa-vdpau-drivers:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libgdk-pixbuf2.0-0:amd64 (2.36.11-2) ...
Setting up libgbm1:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libass9:amd64 (1:0.14.0-1) ...
Setting up libgl1-mesa-dri:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libgdk-pixbuf2.0-bin (2.36.11-2) ...
Setting up libbluray2:amd64 (1:1.0.2-3) ...
Setting up libswresample2:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libsndfile1:amd64 (1.0.28-4ubuntu0.18.04.1) ...
Setting up i965-va-driver:amd64 (2.1.0-0ubuntu1) ...
Setting up libswscale4:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up mesa-va-drivers:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libpostproc54:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libegl-mesa0:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up fontconfig (2.12.6-0ubuntu2) ...
Regenerating fonts cache... done.
Setting up libglx-mesa0:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up vdpau-driver-all:amd64 (1.1.1-3ubuntu1) ...
Setting up libcairo2:amd64 (1.15.10-2ubuntu0.1) ...
Setting up libavresample3:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libpulse0:amd64 (1:11.1-1ubuntu7.2) ...
Setting up libegl1:amd64 (1.0.0-2ubuntu2.3) ...
Setting up libsdl2-2.0-0:amd64 (2.0.8+dfsg1-1ubuntu1.18.04.4) ...
Setting up va-driver-all:amd64 (2.1.0-3) ...
Setting up libpango-1.0-0:amd64 (1.40.14-1ubuntu0.1) ...
Setting up libwayland-egl1-mesa:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libtheora0:amd64 (1.1.1+dfsg.1-14) ...
Setting up libglx0:amd64 (1.0.0-2ubuntu2.3) ...
Setting up libpangoft2-1.0-0:amd64 (1.40.14-1ubuntu0.1) ...
Setting up libgl1:amd64 (1.0.0-2ubuntu2.3) ...
Setting up libpangocairo-1.0-0:amd64 (1.40.14-1ubuntu0.1) ...
Setting up librsvg2-2:amd64 (2.40.20-2) ...
Setting up libavcodec57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up librsvg2-common:amd64 (2.40.20-2) ...
Setting up libchromaprint1:amd64 (1.4.3-1) ...
Setting up libavformat57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libavfilter6:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libavdevice57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up ffmpeg (7:3.4.6-0ubuntu0.18.04.1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for libgdk-pixbuf2.0-0:amd64 (2.36.11-2) ...

> websocket@1.0.30 install /usr/lib/node_modules/homebridge-pilight/node_modules/websocket
> (node-gyp rebuild 2> builderror.log) || (exit 0)

make: Entering directory '/usr/lib/node_modules/homebridge-pilight/node_modules/websocket/build'
CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
bufferutil.target.mk:108: recipe for target 'Release/obj.target/bufferutil/src/bufferutil.o' failed
make: Leaving directory '/usr/lib/node_modules/homebridge-pilight/node_modules/websocket/build'
+ homebridge-pilight@2.0.0
+ homebridge-info@1.2.0
+ homebridge-wemo@0.0.2
added 130 packages from 154 contributors in 15.936s
[10/8/2019, 9:30:51 PM] Loaded config.json with 0 accessories and 2 platforms.
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loaded plugin: homebridge-config-ui-x
[10/8/2019, 9:30:51 PM] Registering platform 'homebridge-config-ui-x.config'
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loaded plugin: homebridge-info
[10/8/2019, 9:30:51 PM] Registering platform 'homebridge-info.Info'
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loaded plugin: homebridge-pilight
[10/8/2019, 9:30:51 PM] Registering accessory 'homebridge-pilight.pilight'
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loaded plugin: homebridge-wemo
[10/8/2019, 9:30:51 PM] Registering accessory 'homebridge-wemo.WeMo'
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loading 2 platforms...
[10/8/2019, 9:30:51 PM] [Config] Initializing config platform...
[10/8/2019, 9:30:51 PM] [Config] Spawning homebridge-config-ui-x with PID 1972
[10/8/2019, 9:30:51 PM] Error: The requested platform 'Hubitat-MakerAPI' was not registered by any plugin.
at API.platform (/usr/lib/node_modules/homebridge/lib/api.js:134:13)
at Server._loadPlatforms (/usr/lib/node_modules/homebridge/lib/server.js:327:45)
at Server.run (/usr/lib/node_modules/homebridge/lib/server.js:90:36)
at module.exports (/usr/lib/node_modules/homebridge/lib/cli.js:59:10)
at Object.<anonymous> (/usr/lib/node_modules/homebridge/bin/homebridge:17:22)
at Module._compile (internal/modules/cjs/loader.js:759:30)
at Object.Module._extensions..js (internal/modules/cjs/loader.js:770:10)
at Module.load (internal/modules/cjs/loader.js:628:32)
at Function.Module._load (internal/modules/cjs/loader.js:555:12)
at Function.Module.runMain (internal/modules/cjs/loader.js:822:10)
[10/8/2019, 9:30:51 PM] Got SIGTERM, shutting down Homebridge...
[0;37m[10/8/2019, 9:30:52 PM] [0m[0;36m[Config][0m [0;33mConsole v4.5.1 is listening on :: port 8124[0m

Link to comment
3 hours ago, Steven Weinstein said:

Here is the log.

 

ErrorWarningSystemArrayLogin


Unpacking libpciaccess0:amd64 (0.14-1) ...
Selecting previously unselected package libdrm-intel1:amd64.
Preparing to unpack .../113-libdrm-intel1_2.4.97-1ubuntu1~18.04.1_amd64.deb ...
Unpacking libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Selecting previously unselected package libdrm-nouveau2:amd64.
Preparing to unpack .../114-libdrm-nouveau2_2.4.97-1ubuntu1~18.04.1_amd64.deb ...
Unpacking libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Selecting previously unselected package libdrm-radeon1:amd64.
Preparing to unpack .../115-libdrm-radeon1_2.4.97-1ubuntu1~18.04.1_amd64.deb ...
Unpacking libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Selecting previously unselected package libllvm8:amd64.
Preparing to unpack .../116-libllvm8_1%3a8-3~ubuntu18.04.1_amd64.deb ...
Unpacking libllvm8:amd64 (1:8-3~ubuntu18.04.1) ...
Selecting previously unselected package libsensors4:amd64.
Preparing to unpack .../117-libsensors4_1%3a3.4.0-4_amd64.deb ...
Unpacking libsensors4:amd64 (1:3.4.0-4) ...
Selecting previously unselected package libgl1-mesa-dri:amd64.
Preparing to unpack .../118-libgl1-mesa-dri_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libgl1-mesa-dri:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libglx-mesa0:amd64.
Preparing to unpack .../119-libglx-mesa0_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libglx-mesa0:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libglx0:amd64.
Preparing to unpack .../120-libglx0_1.0.0-2ubuntu2.3_amd64.deb ...
Unpacking libglx0:amd64 (1.0.0-2ubuntu2.3) ...
Selecting previously unselected package libgl1:amd64.
Preparing to unpack .../121-libgl1_1.0.0-2ubuntu2.3_amd64.deb ...
Unpacking libgl1:amd64 (1.0.0-2ubuntu2.3) ...
Selecting previously unselected package libiec61883-0:amd64.
Preparing to unpack .../122-libiec61883-0_1.2.0-2_amd64.deb ...
Unpacking libiec61883-0:amd64 (1.2.0-2) ...
Selecting previously unselected package libjack-jackd2-0:amd64.
Preparing to unpack .../123-libjack-jackd2-0_1.9.12~dfsg-2_amd64.deb ...
Unpacking libjack-jackd2-0:amd64 (1.9.12~dfsg-2) ...
Selecting previously unselected package libopenal-data.
Preparing to unpack .../124-libopenal-data_1%3a1.18.2-2_all.deb ...
Unpacking libopenal-data (1:1.18.2-2) ...
Selecting previously unselected package libsndio6.1:amd64.
Preparing to unpack .../125-libsndio6.1_1.1.0-3_amd64.deb ...
Unpacking libsndio6.1:amd64 (1.1.0-3) ...
Selecting previously unselected package libopenal1:amd64.
Preparing to unpack .../126-libopenal1_1%3a1.18.2-2_amd64.deb ...
Unpacking libopenal1:amd64 (1:1.18.2-2) ...
Selecting previously unselected package libasyncns0:amd64.
Preparing to unpack .../127-libasyncns0_0.8-6_amd64.deb ...
Unpacking libasyncns0:amd64 (0.8-6) ...
Selecting previously unselected package libflac8:amd64.
Preparing to unpack .../128-libflac8_1.3.2-1_amd64.deb ...
Unpacking libflac8:amd64 (1.3.2-1) ...
Selecting previously unselected package libsndfile1:amd64.
Preparing to unpack .../129-libsndfile1_1.0.28-4ubuntu0.18.04.1_amd64.deb ...
Unpacking libsndfile1:amd64 (1.0.28-4ubuntu0.18.04.1) ...
Selecting previously unselected package libwrap0:amd64.
Preparing to unpack .../130-libwrap0_7.6.q-27_amd64.deb ...
Unpacking libwrap0:amd64 (7.6.q-27) ...
Selecting previously unselected package libpulse0:amd64.
Preparing to unpack .../131-libpulse0_1%3a11.1-1ubuntu7.2_amd64.deb ...
Unpacking libpulse0:amd64 (1:11.1-1ubuntu7.2) ...
Selecting previously unselected package libwayland-client0:amd64.
Preparing to unpack .../132-libwayland-client0_1.16.0-1ubuntu1.1~18.04.1_amd64.deb ...
Unpacking libwayland-client0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Selecting previously unselected package libwayland-cursor0:amd64.
Preparing to unpack .../133-libwayland-cursor0_1.16.0-1ubuntu1.1~18.04.1_amd64.deb ...
Unpacking libwayland-cursor0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Selecting previously unselected package libwayland-server0:amd64.
Preparing to unpack .../134-libwayland-server0_1.16.0-1ubuntu1.1~18.04.1_amd64.deb ...
Unpacking libwayland-server0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Selecting previously unselected package libgbm1:amd64.
Preparing to unpack .../135-libgbm1_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libgbm1:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libxcb-xfixes0:amd64.
Preparing to unpack .../136-libxcb-xfixes0_1.13-2~ubuntu18.04_amd64.deb ...
Unpacking libxcb-xfixes0:amd64 (1.13-2~ubuntu18.04) ...
Selecting previously unselected package libegl-mesa0:amd64.
Preparing to unpack .../137-libegl-mesa0_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libegl-mesa0:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libegl1:amd64.
Preparing to unpack .../138-libegl1_1.0.0-2ubuntu2.3_amd64.deb ...
Unpacking libegl1:amd64 (1.0.0-2ubuntu2.3) ...
Selecting previously unselected package libwayland-egl1:amd64.
Preparing to unpack .../139-libwayland-egl1_1.16.0-1ubuntu1.1~18.04.1_amd64.deb ...
Unpacking libwayland-egl1:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Selecting previously unselected package libwayland-egl1-mesa:amd64.
Preparing to unpack .../140-libwayland-egl1-mesa_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking libwayland-egl1-mesa:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package libxcursor1:amd64.
Preparing to unpack .../141-libxcursor1_1%3a1.1.15-1_amd64.deb ...
Unpacking libxcursor1:amd64 (1:1.1.15-1) ...
Selecting previously unselected package libxi6:amd64.
Preparing to unpack .../142-libxi6_2%3a1.7.9-1_amd64.deb ...
Unpacking libxi6:amd64 (2:1.7.9-1) ...
Selecting previously unselected package libxkbcommon0:amd64.
Preparing to unpack .../143-libxkbcommon0_0.8.0-1ubuntu0.1_amd64.deb ...
Unpacking libxkbcommon0:amd64 (0.8.0-1ubuntu0.1) ...
Selecting previously unselected package libxrandr2:amd64.
Preparing to unpack .../144-libxrandr2_2%3a1.5.1-1_amd64.deb ...
Unpacking libxrandr2:amd64 (2:1.5.1-1) ...
Selecting previously unselected package libsdl2-2.0-0:amd64.
Preparing to unpack .../145-libsdl2-2.0-0_2.0.8+dfsg1-1ubuntu1.18.04.4_amd64.deb ...
Unpacking libsdl2-2.0-0:amd64 (2.0.8+dfsg1-1ubuntu1.18.04.4) ...
Selecting previously unselected package libxcb-shape0:amd64.
Preparing to unpack .../146-libxcb-shape0_1.13-2~ubuntu18.04_amd64.deb ...
Unpacking libxcb-shape0:amd64 (1.13-2~ubuntu18.04) ...
Selecting previously unselected package libxv1:amd64.
Preparing to unpack .../147-libxv1_2%3a1.0.11-1_amd64.deb ...
Unpacking libxv1:amd64 (2:1.0.11-1) ...
Selecting previously unselected package libavdevice57:amd64.
Preparing to unpack .../148-libavdevice57_7%3a3.4.6-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libavdevice57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Selecting previously unselected package ffmpeg.
Preparing to unpack .../149-ffmpeg_7%3a3.4.6-0ubuntu0.18.04.1_amd64.deb ...
Unpacking ffmpeg (7:3.4.6-0ubuntu0.18.04.1) ...
Selecting previously unselected package libaacs0:amd64.
Preparing to unpack .../150-libaacs0_0.9.0-1_amd64.deb ...
Unpacking libaacs0:amd64 (0.9.0-1) ...
Selecting previously unselected package libbdplus0:amd64.
Preparing to unpack .../151-libbdplus0_0.1.2-2_amd64.deb ...
Unpacking libbdplus0:amd64 (0.1.2-2) ...
Selecting previously unselected package libgdk-pixbuf2.0-bin.
Preparing to unpack .../152-libgdk-pixbuf2.0-bin_2.36.11-2_amd64.deb ...
Unpacking libgdk-pixbuf2.0-bin (2.36.11-2) ...
Selecting previously unselected package librsvg2-common:amd64.
Preparing to unpack .../153-librsvg2-common_2.40.20-2_amd64.deb ...
Unpacking librsvg2-common:amd64 (2.40.20-2) ...
Selecting previously unselected package mesa-va-drivers:amd64.
Preparing to unpack .../154-mesa-va-drivers_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking mesa-va-drivers:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package mesa-vdpau-drivers:amd64.
Preparing to unpack .../155-mesa-vdpau-drivers_19.0.8-0ubuntu0~18.04.2_amd64.deb ...
Unpacking mesa-vdpau-drivers:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Selecting previously unselected package i965-va-driver:amd64.
Preparing to unpack .../156-i965-va-driver_2.1.0-0ubuntu1_amd64.deb ...
Unpacking i965-va-driver:amd64 (2.1.0-0ubuntu1) ...
Selecting previously unselected package va-driver-all:amd64.
Preparing to unpack .../157-va-driver-all_2.1.0-3_amd64.deb ...
Unpacking va-driver-all:amd64 (2.1.0-3) ...
Selecting previously unselected package vdpau-driver-all:amd64.
Preparing to unpack .../158-vdpau-driver-all_1.1.1-3ubuntu1_amd64.deb ...
Unpacking vdpau-driver-all:amd64 (1.1.1-3ubuntu1) ...
Setting up libxi6:amd64 (2:1.7.9-1) ...
Setting up libpgm-5.2-0:amd64 (5.2.122~dfsg-2) ...
Setting up libxcb-present0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libglvnd0:amd64 (1.0.0-2ubuntu2.3) ...
Setting up libxinerama1:amd64 (2:1.1.3-1) ...
Setting up libxcb-dri2-0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libxcb-dri3-0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libxcb-glx0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libtwolame0:amd64 (0.3.13-3) ...
Setting up libraw1394-11:amd64 (2.1.2-1) ...
Setting up libx264-152:amd64 (2:0.152.2854+gite9a5903-2) ...
Setting up libxcb-xfixes0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libxcb-render0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libopenjp2-7:amd64 (2.3.0-2build0.18.04.1) ...
Setting up libasyncns0:amd64 (0.8-6) ...
Setting up libllvm8:amd64 (1:8-3~ubuntu18.04.1) ...
Setting up libxdamage1:amd64 (1:1.1.4-3) ...
Setting up libxfixes3:amd64 (1:5.0.3-1) ...
Setting up libpng16-16:amd64 (1.6.34-1ubuntu0.18.04.2) ...
Setting up libwavpack1:amd64 (5.1.0-2ubuntu1.4) ...
Setting up libjbig0:amd64 (2.1-3.1build1) ...
Setting up fonts-dejavu-core (2.37-1) ...
Setting up libaacs0:amd64 (0.9.0-1) ...
Setting up libnuma1:amd64 (2.0.11-2.1ubuntu0.1) ...
Setting up libelf1:amd64 (0.170-0.4ubuntu0.1) ...
Setting up libsoxr0:amd64 (0.1.2-3) ...
Setting up libssh-gcrypt-4:amd64 (0.8.0~20170825.94fa1e38-1ubuntu0.2) ...
Setting up libasound2-data (1.1.3-5ubuntu0.2) ...
Setting up libxshmfence1:amd64 (1.3-1) ...
Setting up libwayland-client0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up xkb-data (2.23.1-1ubuntu1.18.04.1) ...
Setting up libvdpau1:amd64 (1.1.1-3ubuntu1) ...
Setting up libgdk-pixbuf2.0-common (2.36.11-2) ...
Setting up libdatrie1:amd64 (0.2.10-7) ...
Setting up libshine3:amd64 (3.1.1-1) ...
Setting up libva2:amd64 (2.1.0-3) ...
Setting up libjpeg-turbo8:amd64 (1.5.2-0ubuntu5.18.04.1) ...
Setting up libiec61883-0:amd64 (1.2.0-2) ...
Setting up libglapi-mesa:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libspeex1:amd64 (1.2~rc1.2-1ubuntu2) ...
Setting up libfftw3-double3:amd64 (3.3.7-1) ...
Setting up libxvidcore4:amd64 (2:1.3.5-1) ...
Setting up libopus0:amd64 (1.1.2-1ubuntu1) ...
Setting up libfreetype6:amd64 (2.8.1-2ubuntu2) ...
Setting up libx265-146:amd64 (2.6-3) ...
Setting up libasound2:amd64 (1.1.3-5ubuntu0.2) ...
Setting up libopenal-data (1:1.18.2-2) ...
Setting up libdrm-common (2.4.97-1ubuntu1~18.04.1) ...
Setting up libgraphite2-3:amd64 (1.3.11-2) ...
Setting up libbs2b0:amd64 (3.1.0+dfsg-2.2) ...
Setting up libcroco3:amd64 (0.6.12-2) ...
Setting up libxcb-sync1:amd64 (1.13-2~ubuntu18.04) ...
Setting up libnorm1:amd64 (1.5r6+dfsg1-6) ...
Setting up libogg0:amd64 (1.3.2-1) ...
Setting up libsodium23:amd64 (1.0.16-2) ...
Setting up libx11-xcb1:amd64 (2:1.6.4-3ubuntu0.2) ...
Setting up libpixman-1-0:amd64 (0.34.0-2) ...
Setting up libmp3lame0:amd64 (3.100-2) ...
Setting up libusb-1.0-0:amd64 (2:1.0.21-2) ...
Setting up libcrystalhd3:amd64 (1:0.0~git20110715.fdd2f19-12) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libsnappy1v5:amd64 (1.1.7-1) ...
Setting up libavc1394-0:amd64 (0.5.4-4build1) ...
Setting up libzvbi-common (0.2.35-13) ...
Setting up libfribidi0:amd64 (0.19.7-2) ...
Setting up libxcb-shm0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libxcb-shape0:amd64 (1.13-2~ubuntu18.04) ...
Setting up libpciaccess0:amd64 (0.14-1) ...
Setting up libxrender1:amd64 (1:0.9.10-1) ...
Setting up libxv1:amd64 (2:1.0.11-1) ...
Setting up libsensors4:amd64 (1:3.4.0-4) ...
Setting up libxkbcommon0:amd64 (0.8.0-1ubuntu0.1) ...
Setting up libvpx5:amd64 (1.7.0-3) ...
Setting up libgme0:amd64 (0.6.2-1) ...
Setting up libthai-data (0.1.27-2) ...
Setting up libbdplus0:amd64 (0.1.2-2) ...
Setting up libxxf86vm1:amd64 (1:1.1.4-1) ...
Setting up libzvbi0:amd64 (0.2.35-13) ...
Setting up libcaca0:amd64 (0.99.beta19-2ubuntu0.18.04.1) ...
Setting up libsamplerate0:amd64 (0.1.9-1) ...
Setting up libsndio6.1:amd64 (1.1.0-3) ...
Setting up libvorbis0a:amd64 (1.3.5-4.2) ...
Setting up x11-common (1:7.7+19ubuntu7.1) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of start.
Setting up libmpg123-0:amd64 (1.25.10-1) ...
Setting up libwayland-cursor0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up libgsm1:amd64 (1.0.13-4build1) ...
Setting up libmysofa0:amd64 (0.6~dfsg0-2ubuntu0.18.04.1) ...
Setting up libwayland-egl1:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up libcdio17:amd64 (1.0.0-2ubuntu2) ...
Setting up libxrandr2:amd64 (2:1.5.1-1) ...
Setting up libwrap0:amd64 (7.6.q-27) ...
Setting up libwayland-server0:amd64 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up libwebp6:amd64 (0.6.1-2) ...
Setting up libjpeg8:amd64 (8c-2ubuntu8) ...
Setting up libvorbisfile3:amd64 (1.3.5-4.2) ...
Setting up fontconfig-config (2.12.6-0ubuntu2) ...
Setting up libzmq5:amd64 (4.2.5-1ubuntu0.2) ...
Setting up libopenmpt0:amd64 (0.3.6-1) ...
Setting up libflite1:amd64 (2.1-release-1) ...
Setting up libxss1:amd64 (1:1.2.2-1) ...
Setting up libflac8:amd64 (1.3.2-1) ...
Setting up libharfbuzz0b:amd64 (1.7.2-1ubuntu1) ...
Setting up libdc1394-22:amd64 (2.2.5-1) ...
Setting up libcdio-cdda2:amd64 (10.2+0.94+2-2build1) ...
Setting up libtiff5:amd64 (4.0.9-5ubuntu0.2) ...
Setting up libthai0:amd64 (0.1.27-2) ...
Setting up libdrm2:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up libxcursor1:amd64 (1:1.1.15-1) ...
Setting up librubberband2:amd64 (1.8.1-7ubuntu2) ...
Setting up libwebpmux3:amd64 (0.6.1-2) ...
Setting up libcdio-paranoia2:amd64 (10.2+0.94+2-2build1) ...
Setting up libva-drm2:amd64 (2.1.0-3) ...
Setting up libjack-jackd2-0:amd64 (1.9.12~dfsg-2) ...
Setting up libopenal1:amd64 (1:1.18.2-2) ...
Setting up libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up libvorbisenc2:amd64 (1.3.5-4.2) ...
Setting up libva-x11-2:amd64 (2.1.0-3) ...
Setting up libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up libfontconfig1:amd64 (2.12.6-0ubuntu2) ...
Setting up libavutil55:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libdrm-amdgpu1:amd64 (2.4.97-1ubuntu1~18.04.1) ...
Setting up mesa-vdpau-drivers:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libgdk-pixbuf2.0-0:amd64 (2.36.11-2) ...
Setting up libgbm1:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libass9:amd64 (1:0.14.0-1) ...
Setting up libgl1-mesa-dri:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libgdk-pixbuf2.0-bin (2.36.11-2) ...
Setting up libbluray2:amd64 (1:1.0.2-3) ...
Setting up libswresample2:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libsndfile1:amd64 (1.0.28-4ubuntu0.18.04.1) ...
Setting up i965-va-driver:amd64 (2.1.0-0ubuntu1) ...
Setting up libswscale4:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up mesa-va-drivers:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libpostproc54:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libegl-mesa0:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up fontconfig (2.12.6-0ubuntu2) ...
Regenerating fonts cache... done.
Setting up libglx-mesa0:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up vdpau-driver-all:amd64 (1.1.1-3ubuntu1) ...
Setting up libcairo2:amd64 (1.15.10-2ubuntu0.1) ...
Setting up libavresample3:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libpulse0:amd64 (1:11.1-1ubuntu7.2) ...
Setting up libegl1:amd64 (1.0.0-2ubuntu2.3) ...
Setting up libsdl2-2.0-0:amd64 (2.0.8+dfsg1-1ubuntu1.18.04.4) ...
Setting up va-driver-all:amd64 (2.1.0-3) ...
Setting up libpango-1.0-0:amd64 (1.40.14-1ubuntu0.1) ...
Setting up libwayland-egl1-mesa:amd64 (19.0.8-0ubuntu0~18.04.2) ...
Setting up libtheora0:amd64 (1.1.1+dfsg.1-14) ...
Setting up libglx0:amd64 (1.0.0-2ubuntu2.3) ...
Setting up libpangoft2-1.0-0:amd64 (1.40.14-1ubuntu0.1) ...
Setting up libgl1:amd64 (1.0.0-2ubuntu2.3) ...
Setting up libpangocairo-1.0-0:amd64 (1.40.14-1ubuntu0.1) ...
Setting up librsvg2-2:amd64 (2.40.20-2) ...
Setting up libavcodec57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up librsvg2-common:amd64 (2.40.20-2) ...
Setting up libchromaprint1:amd64 (1.4.3-1) ...
Setting up libavformat57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libavfilter6:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up libavdevice57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
Setting up ffmpeg (7:3.4.6-0ubuntu0.18.04.1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for libgdk-pixbuf2.0-0:amd64 (2.36.11-2) ...

> websocket@1.0.30 install /usr/lib/node_modules/homebridge-pilight/node_modules/websocket
> (node-gyp rebuild 2> builderror.log) || (exit 0)

make: Entering directory '/usr/lib/node_modules/homebridge-pilight/node_modules/websocket/build'
CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
bufferutil.target.mk:108: recipe for target 'Release/obj.target/bufferutil/src/bufferutil.o' failed
make: Leaving directory '/usr/lib/node_modules/homebridge-pilight/node_modules/websocket/build'
+ homebridge-pilight@2.0.0
+ homebridge-info@1.2.0
+ homebridge-wemo@0.0.2
added 130 packages from 154 contributors in 15.936s
[10/8/2019, 9:30:51 PM] Loaded config.json with 0 accessories and 2 platforms.
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loaded plugin: homebridge-config-ui-x
[10/8/2019, 9:30:51 PM] Registering platform 'homebridge-config-ui-x.config'
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loaded plugin: homebridge-info
[10/8/2019, 9:30:51 PM] Registering platform 'homebridge-info.Info'
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loaded plugin: homebridge-pilight
[10/8/2019, 9:30:51 PM] Registering accessory 'homebridge-pilight.pilight'
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loaded plugin: homebridge-wemo
[10/8/2019, 9:30:51 PM] Registering accessory 'homebridge-wemo.WeMo'
[10/8/2019, 9:30:51 PM] ---
[10/8/2019, 9:30:51 PM] Loading 2 platforms...
[10/8/2019, 9:30:51 PM] [Config] Initializing config platform...
[10/8/2019, 9:30:51 PM] [Config] Spawning homebridge-config-ui-x with PID 1972
[10/8/2019, 9:30:51 PM] Error: The requested platform 'Hubitat-MakerAPI' was not registered by any plugin.
at API.platform (/usr/lib/node_modules/homebridge/lib/api.js:134:13)
at Server._loadPlatforms (/usr/lib/node_modules/homebridge/lib/server.js:327:45)
at Server.run (/usr/lib/node_modules/homebridge/lib/server.js:90:36)
at module.exports (/usr/lib/node_modules/homebridge/lib/cli.js:59:10)
at Object.<anonymous> (/usr/lib/node_modules/homebridge/bin/homebridge:17:22)
at Module._compile (internal/modules/cjs/loader.js:759:30)
at Object.Module._extensions..js (internal/modules/cjs/loader.js:770:10)
at Module.load (internal/modules/cjs/loader.js:628:32)
at Function.Module._load (internal/modules/cjs/loader.js:555:12)
at Function.Module.runMain (internal/modules/cjs/loader.js:822:10)
[10/8/2019, 9:30:51 PM] Got SIGTERM, shutting down Homebridge...
[0;37m[10/8/2019, 9:30:52 PM] [0m[0;36m[Config][0m [0;33mConsole v4.5.1 is listening on :: port 8124[0m

Your config is utilizing a plug-in that is not installed please install it by adding the package name in the packages field

Link to comment
  • 2 weeks later...
On 1/3/2019 at 2:38 PM, Coolsaber57 said:

 


server {
    listen 443 ssl;

    server_name docs.*;

    include /config/nginx/ssl.conf;

    client_max_body_size 0;


    location / {
				include /config/nginx/proxy.conf;
				resolver 127.0.0.11 valid=30s;
                set $upstream_docs onlyofficedocumentserver;
				proxy_pass https://$upstream_docs:443;
                proxy_redirect off;
                proxy_set_header Host $host;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                proxy_set_header X-Forwarded-Host $server_name;
                proxy_set_header X-Forwarded-Proto $scheme;
        }
}

 

After this, I just went back into the OnlyOffice plugin settings, then entered the https address into the settings and voila!  I can open docs in NextCloud now!

So you added this conf to the letsencrypt container?

Link to comment
  • 2 weeks later...
On 10/25/2019 at 10:28 PM, ndaringer said:

I installed both onlyofficedocumentserver and onlyofficecommunityserver, yet I only get this screen on the community server.

 

raw

 

I feel like I'm missing something obvious.

 

Log has pages and pages of this.

I'm having exactly the same issue, same screen, same comments in the log. Did you ever find a solution? I would be very interested in hearing any suggestions. 

 

Thanks.

 

 

Link to comment
  • 2 weeks later...

+ service nginx restart
* Restarting nginx nginx
start-stop-daemon: warning: failed to kill 23304: No such process
...done.
+ grep -q thread_pool.index.size /etc/elasticsearch/elasticsearch.yml
+ sed -i 's/thread_pool.index.size.*/thread_pool.index.size: 8/' /etc/elasticsearch/elasticsearch.yml
+ grep -q thread_pool.write.size /etc/elasticsearch/elasticsearch.yml
+ sed -i 's/thread_pool.write.size.*/thread_pool.write.size: 8/' /etc/elasticsearch/elasticsearch.yml

'

'

'
+ '[' false == true ']'
+ '[' localhost '!=' localhost ']'

'

'
+ MAIL_SERVER_API_PORT=8081
+ MAIL_SERVER_API_HOST=
+ MAIL_SERVER_DB_HOST=
+ MAIL_SERVER_DB_PORT=3306
+ MAIL_SERVER_DB_NAME=onlyoffice_mailserver
+ MAIL_SERVER_DB_USER=mail_admin
+ MAIL_SERVER_DB_PASS=Isadmin123

'

'
+ REDIS_SERVER_HOST=
+ REDIS_SERVER_CACHEPORT=6379
+ REDIS_SERVER_PASSWORD=
+ REDIS_SERVER_SSL=false
+ REDIS_SERVER_DATABASE=0
+ REDIS_SERVER_CONNECT_TIMEOUT=5000
+ REDIS_SERVER_EXTERNAL=false

'
+ '[' false == false ']'
+ '[' -e /etc/redis/redis.conf ']'
+ sed -i 's/bind .*/bind 127.0.0.1/g' /etc/redis/redis.conf
+ '[' false == false ']'
+ chown -R mysql:mysql /var/lib/mysql/
+ chmod -R 755 /var/lib/mysql/
+ '[' '!' -f /var/lib/mysql/ibdata1 ']'

'
+ myisamchk -q -r /var/lib/mysql/mysql/proc
myisamchk: error: File '/var/lib/mysql/mysql/proc' doesn't exist
+ true
+ service mysql start
* Starting MySQL database server mysqld
...fail!
+ '[' '!' -f /var/lib/mysql/mysql_upgrade_info ']'
+ mysqladmin --silent ping -u root
+ grep -q 'mysqld is alive'
+ mysql_upgrade --password=
mysql_upgrade: [Warning] Using a password on the command line interface can be insecure.
mysql_upgrade: Got error: 2002: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) while connecting to the MySQL server
Upgrade process encountered error and will not continue.

 

For some reason mysql is not going to start no matter what.

Do we need to create MySQL container and the bridge onlyoffice network like in the wiki 

sudo docker network create --driver bridge onlyoffice

Edited by Jidovu Marius Adrian
Link to comment

Well I did manage to get past mysql issue by using an external mysql docker, but i did run into another one.

 

+ service god restart
Restarting god... The server is not available (or you do not have permissions to access it)
OK

 

# sudo god status
onlyoffice:
  elasticsearch: up
  monoserve: up
  monoserveApiSystem: up
  nginx: up
  onlyofficeBackup: up
  onlyofficeFeed: up
  onlyofficeIndex: up
  onlyofficeJabber: up
  onlyofficeMailAggregator: up
  onlyofficeMailCleaner: up
  onlyofficeMailWatchdog: up
  onlyofficeNotify: up
  onlyofficeRadicale: up
  onlyofficeSocketIO: up
  onlyofficeStorageMigrate: up
  onlyofficeThumb: up
  onlyofficeUrlShortener: up
  redis: up

 

This is the last error I need to fix.

Edited by Jidovu Marius Adrian
Link to comment
Well I did manage to get past mysql issue by using an external mysql docker, but i did run into another one.
 
+ service god restart
Restarting god... The server is not available (or you do not have permissions to access it)
OK
 
# sudo god status
onlyoffice:
  elasticsearch: up
  monoserve: up
  monoserveApiSystem: up
  nginx: up
  onlyofficeBackup: up
  onlyofficeFeed: up
  onlyofficeIndex: up
  onlyofficeJabber: up
  onlyofficeMailAggregator: up
  onlyofficeMailCleaner: up
  onlyofficeMailWatchdog: up
  onlyofficeNotify: up
  onlyofficeRadicale: up
  onlyofficeSocketIO: up
  onlyofficeStorageMigrate: up
  onlyofficeThumb: up
  onlyofficeUrlShortener: up
  redis: up
 
This is the last error I need to fix.
Can I have your Container Config page screen shot? Also can you try enabling priverage mode

Sent from my Pixel 3 using Tapatalk

Link to comment

This is what I added extra to your onlyoffice community edition docker as variables and the other one for mariadb docker, same extra parameters were added to the mysql docker but I had another issue with the mysql docker with binding.

 

First picture is the mariadb and second is your docker extra parameters.

mariadb-changes.png

 

siwat-onlyoffice-changes.png

Edited by Jidovu Marius Adrian
wrong picture
Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.